Subject: [dns-privacy] IESG review of draft-ietf-dprive-bcp-op

From: Sara Dickinson <[email-masked]>
Date: Thu, 18 Jun 2020 16:27:40 +0100

All, 

We’ve just published a -10 version of draft-ietf-dprive-bcp-op which we hope addresses the outstanding DISCUSS’s for this document (in addition to responses provided in the emails of March 4th) and the other comments from the IESG review. 

Ben/Alissa - since you both hold a DISCUSS on this document could you please re-read the emails and review the document to see if these changes/responses address your concerns?

The main changes are:

1) In earlier versions of the BCP document there were references to some new sections that appeared only in draft-ietf-dprive-rfc7626-bis but that is no longer the case so this version of draft-ietf-dprive-bcp-op does the following:

  * converts the reference in Section 3 (Scope) from draft-ietf-dprive-rfc7626-bis to the original RFC7626
  * converts the reference to RFC7626 to an Informative reference
  * removes the three direct reference to draft-ietf-dprive-rfc7626-bis in the text. They are very generic threats (passive surveillance, attacks on client resolver configuration and privacy of client IP addresses) and are all covered in RFC7626.

2) Clarify that the DROP statement outline is non-normative and add some further qualifications about content as requested.

3) Update the wording on data sharing to remove explicit discussion of consent in the Introduction and Section 5.3.3

4) Move table in section 5.2.3 to an appendix

5) Move section 6.2 to an appendix

We are aware that the membership of the IESG has changed since the original review and so would like to request that the AD clarify what is now required in terms of further review to move this draft forward.

Best regards

Sara

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 24 Jun 2020 09:30:19 +0000

Alissa and Ben,

Is there any chance that you may quickly check whether the new version addresses your previous DISCUSS ?

The plan is to put the document back on an IESG telechat

Thank you

-éric

-----Original Message-----
From: Sara Dickinson <[email-masked]>
Date: Thursday, 18 June 2020 at 17:28
To: IESG <[email-masked]>, Eric Vyncke <[email-masked]>, "[email-masked]" <[email-masked]>, DNS Privacy Working Group <[email-masked]>, Benjamin Kaduk <[email-masked]>, Alissa Cooper <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: IESG review of draft-ietf-dprive-bcp-op

    All, 

    The main changes are:

    Best regards

    Sara